﻿using UnityEngine;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("TMNT", "TMNT mod category", ModAPI.LoadSprite("CategoryThumb.png"));

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"),
        NameOverride = "Bo staff",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        NameToOrderByOverride = "1",
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/bo.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/bo.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
            }

            Instance.FixColliders();
        }

    }
);
            ModAPI.Register(
     new Modification()
     {
         OriginalItem = ModAPI.FindSpawnable("Pulse Drum"),
         NameOverride = "Wind Staff",
         DescriptionOverride = "Activate to use power of Wind",
         CategoryOverride = ModAPI.FindCategory("TMNT"),
         NameToOrderByOverride = "1",
         ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/windstaff.png"),
         AfterSpawn = (Instance) =>
         {
             Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/windstaff.png");
             foreach (var c in Instance.GetComponents<Collider2D>())
             {
                 GameObject.Destroy(c);
             }

             Instance.FixColliders();
         }

     }
 );     
            ModAPI.Register(
     new Modification()
     {
         OriginalItem = ModAPI.FindSpawnable("Rigidifier"),
         NameOverride = "Metal Staff",
         DescriptionOverride = "Activate to use power of Metal",
         CategoryOverride = ModAPI.FindCategory("TMNT"),
         NameToOrderByOverride = "1",
         ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/metalstaff.png"),
         AfterSpawn = (Instance) =>
         {
             Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/metalstaff.png");
             foreach (var c in Instance.GetComponents<Collider2D>())
             {
                 GameObject.Destroy(c);
             }

             Instance.FixColliders();
         }

     }
 );    
            ModAPI.Register(
     new Modification()
     {
         OriginalItem = ModAPI.FindSpawnable("Flamethrower"),
         NameOverride = "Fire Staff",
         DescriptionOverride = "Activate to use power of Fire",
         CategoryOverride = ModAPI.FindCategory("TMNT"),
         NameToOrderByOverride = "1",
         ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/firestaff.png"),
         AfterSpawn = (Instance) =>
         {
             Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/firestaff.png");
             foreach (var c in Instance.GetComponents<Collider2D>())
             {
                 GameObject.Destroy(c);
             }

             Instance.FixColliders();
         }

     }
 );         
            ModAPI.Register(
     new Modification()
     {
         OriginalItem = ModAPI.FindSpawnable("Fire Extinguisher"),
         NameOverride = "Water Staff",
         DescriptionOverride = "Activate to use power of Water",
         CategoryOverride = ModAPI.FindCategory("TMNT"),
         NameToOrderByOverride = "1",
         ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/waterstaff.png"),
         AfterSpawn = (Instance) =>
         {
             Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/waterstaff.png");
             foreach (var c in Instance.GetComponents<Collider2D>())
             {
                 GameObject.Destroy(c);
             }

             Instance.FixColliders();
         }

     }
 );  
            ModAPI.Register(
     new Modification()
     {
         OriginalItem = ModAPI.FindSpawnable("Stunner"),
         NameOverride = "Earth Staff",
         DescriptionOverride = "Activate to use power of Earth",
         CategoryOverride = ModAPI.FindCategory("TMNT"),
         NameToOrderByOverride = "1",
         ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/earthstaff.png"),
         AfterSpawn = (Instance) =>
         {
             Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/earthstaff.png");
             foreach (var c in Instance.GetComponents<Collider2D>())
             {
                 GameObject.Destroy(c);
             }

             Instance.FixColliders();
         }

     }
 );

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Blaster Rifle"),
        NameOverride = "Utrom",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        NameToOrderByOverride = "1",
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/utrom.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/utrom.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
            }

            Instance.FixColliders();
        }

    }
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"),
        NameOverride = "Splinter Staff",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        NameToOrderByOverride = "1",
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/staff.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/staff.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
            }

            Instance.FixColliders();
        }

    }
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"),
        NameOverride = "Foot Clan Bo staff",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        NameToOrderByOverride = "1",
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/bof.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/bof.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
            }

            Instance.FixColliders();
        }

    }
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"),
        NameOverride = "Nunchucks",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        NameToOrderByOverride = "1",
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/nunchucks.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/nunchucks.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
            }

            Instance.FixColliders();
        }

    }
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "Pipe",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        NameToOrderByOverride = "1",
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/pipe.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/pipe.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
            }

            Instance.FixColliders();

            var knife = Instance.AddComponent<BoxCollider2D>();
            knife.size = new Vector2(0.1f, 0.57f);
            var phys = Instance.GetComponent<PhysicalBehaviour>().Properties;

        }

    }
);


                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Rod"),
    NameOverride = "Mouser",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    NameToOrderByOverride = "1",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/mouser.png"),
    AfterSpawn = (Instance) =>
    {
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/mouser.png");
    foreach (var c in Instance.GetComponents<Collider2D>())
    {
        GameObject.Destroy(c);
    }

    Instance.FixColliders();

    }

    }
    );

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Knife"),
        NameOverride = "Sai",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        NameToOrderByOverride = "1",
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/sai.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/sai.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
            }

            Instance.FixColliders();

            var knife = Instance.AddComponent<BoxCollider2D>();
            knife.size = new Vector2(0.1f, 0.57f);
            var phys = Instance.GetComponent<PhysicalBehaviour>().Properties;
            phys.Sharp = true;
            phys.SharpAxes = new[]
            {
                            new SharpAxis(Vector2.up, -0.06f, 0.03f, true, false),
            };
        }

    }
);

                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Knife"),
    NameOverride = "Shredder blade",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    NameToOrderByOverride = "1",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/blade.png"),
    AfterSpawn = (Instance) =>
    {
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/blade.png");
    foreach (var c in Instance.GetComponents<Collider2D>())
    {
        GameObject.Destroy(c);
    }

    Instance.FixColliders();

    var knife = Instance.AddComponent<BoxCollider2D>();
    knife.size = new Vector2(0.1f, 0.57f);
    var phys = Instance.GetComponent<PhysicalBehaviour>().Properties;
    phys.Sharp = true;
    phys.SharpAxes = new[]
    {
                                new SharpAxis(Vector2.up, -0.06f, 0.03f, true, false),
    };
    }

    }
    );

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Sword"),
        NameOverride = "Katana",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        NameToOrderByOverride = "1",
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/katana.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/katana.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
            }

            Instance.FixColliders();

            var knife = Instance.AddComponent<BoxCollider2D>();
            knife.size = new Vector2(0.1f, 0.57f);
            var phys = Instance.GetComponent<PhysicalBehaviour>().Properties;
            phys.Sharp = true;
            phys.SharpAxes = new[]
            {
                            new SharpAxis(Vector2.up, -0.06f, 0.03f, true, false),
            };
        }

    }
);
                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Sword"),
    NameOverride = "Guardian Sword",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    NameToOrderByOverride = "1",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/sword.png"),
    AfterSpawn = (Instance) =>
    {
      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/guardiansword.png");
      foreach (var c in Instance.GetComponents<Collider2D>())
      {
          GameObject.Destroy(c);
      }

      Instance.FixColliders();

      var knife = Instance.AddComponent<BoxCollider2D>();
      knife.size = new Vector2(0.1f, 0.57f);
      var phys = Instance.GetComponent<PhysicalBehaviour>().Properties;
      phys.Sharp = true;
      phys.SharpAxes = new[]
      {
                                new SharpAxis(Vector2.up, -0.06f, 0.03f, true, false),
      };
    }

    }
    );
            ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Sword"),
    NameOverride = "Elite Sword",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    NameToOrderByOverride = "1",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/elitesword.png"),
    AfterSpawn = (Instance) =>
    {
      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/elitesword.png");
      foreach (var c in Instance.GetComponents<Collider2D>())
      {
          GameObject.Destroy(c);
      }

      Instance.FixColliders();

      var knife = Instance.AddComponent<BoxCollider2D>();
      knife.size = new Vector2(0.1f, 0.57f);
      var phys = Instance.GetComponent<PhysicalBehaviour>().Properties;
      phys.Sharp = true;
      phys.SharpAxes = new[]
      {
                                new SharpAxis(Vector2.up, -0.06f, 0.03f, true, false),
      };
    }

    }
    );

                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Knife"),
    NameOverride = "Elite Spear",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    NameToOrderByOverride = "1",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/elitespear.png"),
    AfterSpawn = (Instance) =>
    {
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/elitespear.png");
    foreach (var c in Instance.GetComponents<Collider2D>())
    {
       GameObject.Destroy(c);
    }

    Instance.FixColliders();

    var knife = Instance.AddComponent<BoxCollider2D>();
    knife.size = new Vector2(0.1f, 0.57f);
    var phys = Instance.GetComponent<PhysicalBehaviour>().Properties;
    phys.Sharp = true;
    phys.SharpAxes = new[]
                {
                                    new SharpAxis(Vector2.up, -0.06f, 1.0f, true, false),
    };
    }

    }
    );
            ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Stunner"),
    NameOverride = "Sword of Tengu",
    DescriptionOverride = "Activate to use the power of Tengu",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    NameToOrderByOverride = "1",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/tengu.png"),
    AfterSpawn = (Instance) =>
    {
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/tengu.png");
    foreach (var c in Instance.GetComponents<Collider2D>())
    {
        GameObject.Destroy(c);
    }

    Instance.FixColliders();

    var knife = Instance.AddComponent<BoxCollider2D>();
    knife.size = new Vector2(0.1f, 0.57f);
    var phys = Instance.GetComponent<PhysicalBehaviour>().Properties;
    phys.Sharp = true;
    phys.SharpAxes = new[]
    {
                                new SharpAxis(Vector2.up, -0.06f, 0.03f, true, false),
    };
    }

    }
    );


            ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Sword"),
    NameOverride = "Foot Clan katana",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    NameToOrderByOverride = "1",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/katanaf.png"),
    AfterSpawn = (Instance) =>
    {
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/katanaf.png");
    foreach (var c in Instance.GetComponents<Collider2D>())
    {
        GameObject.Destroy(c);
    }

    Instance.FixColliders();

    var knife = Instance.AddComponent<BoxCollider2D>();
    knife.size = new Vector2(0.1f, 0.57f);
    var phys = Instance.GetComponent<PhysicalBehaviour>().Properties;
    phys.Sharp = true;
    phys.SharpAxes = new[]
    {
                                new SharpAxis(Vector2.up, -0.06f, 0.03f, true, false),
    };
    }

    }
    );


            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Oroku Saki",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/oroku.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Shredder/oroku.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Foot Soldier",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/foot.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Foot/soldier.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("Hair");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Foot/footmask.png");
            childSprite.sortingLayerName = "Top";
        }
    }
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Android"),
        NameOverride = "Foot Tech Ninja",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/tech.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Foot/robofoot.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshdroid.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/bonedroid.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(0, 0, 0);
            person.SetSecondBruiseColor(0, 0, 0);
            person.SetThirdBruiseColor(0, 0, 0);
            person.SetRottenColour(0, 0, 0);
            person.SetBloodColour(0, 0, 0);

            var head = Instance.transform.GetChild(0);
            var childObject = new GameObject("Hair");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Foot/footmask.png");
            childSprite.sortingLayerName = "Top";
        }
    }
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Android"),
        NameOverride = "Utrom Exoskeleton",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/exo.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Utrom/cyborg.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshdroid.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/bonedroid.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Human"),
                                NameOverride = "Raphael",
                                NameToOrderByOverride = "!",
                                DescriptionOverride = "",
                                CategoryOverride = ModAPI.FindCategory("TMNT"),
                                ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/raph.png"),
                                AfterSpawn = (Instance) =>
                                {
                                    var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Raph/raph.png");
                                    var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
                                    var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
                                    Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
;
                                    var mid = Instance.transform.Find("Body").Find("MiddleBody");
                                    var head = Instance.transform.GetChild(5);
                                    var childObject = new GameObject("Hair");
                                    childObject.transform.SetParent(head);
                                    childObject.transform.localPosition = new Vector3(0, 0f);
                                    childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                    childObject.transform.localScale = new Vector3(1f, 1f);
                                    var childSprite = childObject.AddComponent<SpriteRenderer>();
                                    childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Raph/raphmask.png");
                                    childSprite.sortingLayerName = "Top";

                                    GameObject wings = new GameObject();
                                    wings.transform.parent = mid;
                                    wings.transform.localPosition = new Vector4(0f, 0f);
                                    wings.transform.localScale = new Vector4(1f, 1f);

                                    var wingsprite = wings.AddComponent<SpriteRenderer>();

                                    wingsprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/turtle shell.png");
                                    wingsprite.material = ModAPI.FindMaterial("Sprites-Default");
                                    wingsprite.sortingLayerName = "Mid";

                                }
                            }
                        );

            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Human"),
                                NameOverride = "Leonardo",
                                NameToOrderByOverride = "!",
                                DescriptionOverride = "",
                                CategoryOverride = ModAPI.FindCategory("TMNT"),
                                ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/leo.png"),
                                AfterSpawn = (Instance) =>
                                {
                                    var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Leo/leo.png");
                                    var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
                                    var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
                                    Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                                    ;
                                    var mid = Instance.transform.Find("Body").Find("MiddleBody");
                                    var head = Instance.transform.GetChild(5);
                                    var childObject = new GameObject("Hair");
                                    childObject.transform.SetParent(head);
                                    childObject.transform.localPosition = new Vector3(0, 0f);
                                    childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                    childObject.transform.localScale = new Vector3(1f, 1f);
                                    var childSprite = childObject.AddComponent<SpriteRenderer>();
                                    childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Leo/leomask.png");
                                    childSprite.sortingLayerName = "Top";

                                    GameObject wings = new GameObject();
                                    wings.transform.parent = mid;
                                    wings.transform.localPosition = new Vector4(0f, 0f);
                                    wings.transform.localScale = new Vector4(1f, 1f);

                                    var wingsprite = wings.AddComponent<SpriteRenderer>();

                                    wingsprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/turtle shell.png");
                                    wingsprite.material = ModAPI.FindMaterial("Sprites-Default");
                                    wingsprite.sortingLayerName = "Mid";

                                }
                            }
                        );

            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Human"),
                                NameOverride = "Donatello",
                                NameToOrderByOverride = "!",
                                DescriptionOverride = "",
                                CategoryOverride = ModAPI.FindCategory("TMNT"),
                                ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/don.png"),
                                AfterSpawn = (Instance) =>
                                {
                                    var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Don/don.png");
                                    var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
                                    var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
                                    Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                                    ;
                                    var mid = Instance.transform.Find("Body").Find("MiddleBody");
                                    var head = Instance.transform.GetChild(5);
                                    var childObject = new GameObject("Hair");
                                    childObject.transform.SetParent(head);
                                    childObject.transform.localPosition = new Vector3(0, 0f);
                                    childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                    childObject.transform.localScale = new Vector3(1f, 1f);
                                    var childSprite = childObject.AddComponent<SpriteRenderer>();
                                    childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Don/donmask.png");
                                    childSprite.sortingLayerName = "Top";

                                    GameObject wings = new GameObject();
                                    wings.transform.parent = mid;
                                    wings.transform.localPosition = new Vector4(0f, 0f);
                                    wings.transform.localScale = new Vector4(1f, 1f);

                                    var wingsprite = wings.AddComponent<SpriteRenderer>();

                                    wingsprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/turtle shell.png");
                                    wingsprite.material = ModAPI.FindMaterial("Sprites-Default");
                                    wingsprite.sortingLayerName = "Mid";

                                }
                            }
                        );
            ModAPI.Register(
                          new Modification()
                          {
                              OriginalItem = ModAPI.FindSpawnable("Android"),
                              NameOverride = "Sydney",
                              NameToOrderByOverride = "!",
                              DescriptionOverride = "",
                              CategoryOverride = ModAPI.FindCategory("TMNT"),
                              ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/sydney.png"),
                              AfterSpawn = (Instance) =>
                              {
                                  var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Sydney/sydney.png");
                                  var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
                                  var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
                                  Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                                  ;
                                  var mid = Instance.transform.Find("Body").Find("Head");
                                  var head = Instance.transform.GetChild(0);
                                  var childObject = new GameObject("Hair");
                                  childObject.transform.SetParent(head);
                                  childObject.transform.localPosition = new Vector3(0, 0f);
                                  childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  childObject.transform.localScale = new Vector3(1f, 1f);
                                  var childSprite = childObject.AddComponent<SpriteRenderer>();
                                  childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Sydney/sydneyhair.png");
                                  childSprite.sortingLayerName = "Top";

                                  GameObject wings = new GameObject();
                                  wings.transform.parent = mid;
                                  wings.transform.localPosition = new Vector4(0f, 0f);
                                  wings.transform.localScale = new Vector4(1f, 1f);

                                  var wingsprite = wings.AddComponent<SpriteRenderer>();

                              }
                          }
                      );

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Android"),
                  NameOverride = "Sheeva Shredder",
                  NameToOrderByOverride = "!",
                  DescriptionOverride = "",
                  CategoryOverride = ModAPI.FindCategory("TMNT"),
                  ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/shredder.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Clones/sheeva.png");
                      var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
                      var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
                      Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                      ;
                      var mid = Instance.transform.Find("Body").Find("Head");
                      var head = Instance.transform.GetChild(0);
                      var childObject = new GameObject("Hair");
                      childObject.transform.SetParent(head);
                      childObject.transform.localPosition = new Vector3(0, 0f);
                      childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                      childObject.transform.localScale = new Vector3(1f, 1f);
                      var childSprite = childObject.AddComponent<SpriteRenderer>();
                      childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/helmet1.png");
                      childSprite.sortingLayerName = "Top";

                      GameObject wings = new GameObject();
                      wings.transform.parent = mid;
                      wings.transform.localPosition = new Vector4(0f, 0f);
                      wings.transform.localScale = new Vector4(1f, 1f);

                      var wingsprite = wings.AddComponent<SpriteRenderer>();

                  }
              }
          );

                        ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Android"),
                  NameOverride = "Mini Shredder",
                  NameToOrderByOverride = "!",
                  DescriptionOverride = "",
                  CategoryOverride = ModAPI.FindCategory("TMNT"),
                  ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/shredder.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Clones/mini.png");
                      var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
                      var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
                      Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                      ;
                      var mid = Instance.transform.Find("Body").Find("Head");
                      var head = Instance.transform.GetChild(0);
                      var childObject = new GameObject("Hair");
                      childObject.transform.SetParent(head);
                      childObject.transform.localPosition = new Vector3(0, 0f);
                      childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                      childObject.transform.localScale = new Vector3(1f, 1f);
                      var childSprite = childObject.AddComponent<SpriteRenderer>();
                      childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/helmet1.png");
                      childSprite.sortingLayerName = "Top";

                      GameObject wings = new GameObject();
                      wings.transform.parent = mid;
                      wings.transform.localPosition = new Vector4(0f, 0f);
                      wings.transform.localScale = new Vector4(1f, 1f);

                      var wingsprite = wings.AddComponent<SpriteRenderer>();

                  }
              }
          );

                        ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Android"),
                  NameOverride = "Blade Shredder",
                  NameToOrderByOverride = "!",
                  DescriptionOverride = "",
                  CategoryOverride = ModAPI.FindCategory("TMNT"),
                  ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/shredder.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Clones/blade.png");
                      var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
                      var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
                      Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                      ;
                      var mid = Instance.transform.Find("Body").Find("Head");
                      var head = Instance.transform.GetChild(0);
                      var childObject = new GameObject("Hair");
                      childObject.transform.SetParent(head);
                      childObject.transform.localPosition = new Vector3(0, 0f);
                      childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                      childObject.transform.localScale = new Vector3(1f, 1f);
                      var childSprite = childObject.AddComponent<SpriteRenderer>();
                      childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/helmet1.png");
                      childSprite.sortingLayerName = "Top";

                      GameObject wings = new GameObject();
                      wings.transform.parent = mid;
                      wings.transform.localPosition = new Vector4(0f, 0f);
                      wings.transform.localScale = new Vector4(1f, 1f);

                      var wingsprite = wings.AddComponent<SpriteRenderer>();

                  }
              }
          );

            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Android"),
                  NameOverride = "Razorfist",
                  NameToOrderByOverride = "!",
                  DescriptionOverride = "",
                  CategoryOverride = ModAPI.FindCategory("TMNT"),
                  ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/razorfist.png"),
                  AfterSpawn = (Instance) =>
                  {
                      var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Razorfist/razorfist.png");
                      var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
                      var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
                      Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                      ;
                      var low = Instance.transform.Find("Body").Find("LowerBody");

                      GameObject wings = new GameObject();
                      wings.transform.parent = low;
                      wings.transform.localPosition = new Vector4(0f, 0f);
                      wings.transform.localScale = new Vector4(1f, 1f);

                      var wingsprite = wings.AddComponent<SpriteRenderer>();

                      wingsprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Razorfist/tail.png");
                      wingsprite.material = ModAPI.FindMaterial("Sprites-Default");
                      wingsprite.sortingLayerName = "Mid";

                  }
              }
          );

            ModAPI.Register(
  new Modification()
  {
      OriginalItem = ModAPI.FindSpawnable("Android"),
      NameOverride = "Stonebiter",
      NameToOrderByOverride = "!",
      DescriptionOverride = "",
      CategoryOverride = ModAPI.FindCategory("TMNT"),
      ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/stonebiter.png"),
      AfterSpawn = (Instance) =>
      {
          var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Stonebiter/stonebiter.png");
          var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
          var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
          Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
          ;
          var up = Instance.transform.Find("Body").Find("UpperBody");

          GameObject wings = new GameObject();
          wings.transform.parent = up;
          wings.transform.localPosition = new Vector4(0f, 0f);
          wings.transform.localScale = new Vector4(1f, 1f);

          var wingsprite = wings.AddComponent<SpriteRenderer>();

          wingsprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Stonebiter/rock.png");
          wingsprite.material = ModAPI.FindMaterial("Sprites-Default");
          wingsprite.sortingLayerName = "Mid";

      }
  }
);

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Michelangelo",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("TMNT"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/mikey.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Mikey/mikey.png");
                        var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
                        var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        ;
                        var mid = Instance.transform.Find("Body").Find("MiddleBody");
                        var head = Instance.transform.GetChild(5);
                        var childObject = new GameObject("Hair");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Mikey/mikeymask.png");
                        childSprite.sortingLayerName = "Top";

                        GameObject wings = new GameObject();
                        wings.transform.parent = mid;
                        wings.transform.localPosition = new Vector4(0f, 0f);
                        wings.transform.localScale = new Vector4(1f, 1f);

                        var wingsprite = wings.AddComponent<SpriteRenderer>();

                        wingsprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/turtle shell.png");
                        wingsprite.material = ModAPI.FindMaterial("Sprites-Default");
                        wingsprite.sortingLayerName = "Mid";

                    }
                }
            );

            ModAPI.Register(
     new Modification()
     {
         OriginalItem = ModAPI.FindSpawnable("Rod"),
         NameToOrderByOverride = "armor",
         NameOverride = "Shoulder armor",
         DescriptionOverride = "",
         CategoryOverride = ModAPI.FindCategory("TMNT"),
         ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/shoulder.png"),
         AfterSpawn = (Instance) =>
         {
             Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/shoulders.png");
             ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
             armor.stabResistance = 1000f;
             armor.armorPiece = "UpperArm";
             armor.armorTier = 3;
             armor.otherSprite = "Sprites/TMNT/shoulders.png";
             armor.otherName = "Shoulder armor";
             armor.otherPiece = "UpperArmFront";
             armor.otherTier = 3;
             armor.otherResist = 5f;
             armor.SpawnOtherParts();

             Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
             Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
             Instance.FixColliders();
         }
     }
 );

                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Rod"),
    NameToOrderByOverride = "armor",
    NameOverride = "Arms armor",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/arm.png"),
    AfterSpawn = (Instance) =>
    {
     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/arms.png");
     ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
     armor.stabResistance = 1000f;
     armor.armorPiece = "LowerArm";
     armor.armorTier = 3;
     armor.otherSprite = "Sprites/TMNT/arms.png";
     armor.otherName = "Arms armor";
     armor.otherPiece = "LowerArmFront";
     armor.otherTier = 3;
     armor.otherResist = 5f;
     armor.SpawnOtherParts();

     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
     Instance.FixColliders();
    }
    }
    );

            ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Rod"),
    NameToOrderByOverride = "armor",
    NameOverride = "Boots",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/boots.png"),
    AfterSpawn = (Instance) =>
    {
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/boots.png");
    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
    armor.stabResistance = 1000f;
    armor.armorPiece = "Foot";
    armor.armorTier = 3;
    armor.otherSprite = "Sprites/TMNT/boots.png";
    armor.otherName = "Arms armor";
    armor.otherPiece = "FootFront";
    armor.otherTier = 3;
    armor.otherResist = 5f;
    armor.SpawnOtherParts();

    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
    Instance.FixColliders();
    }
    }
    );

                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Rod"),
    NameOverride = "Gauntlet of Tengu",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/gauntlet.png"),
    AfterSpawn = (Instance) =>

    {
    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/gauntlet", 1f);
    Instance.FixColliders();


    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/gauntlet.png", 1f);
    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

    armor.stabResistance = 40f;
    armor.armorPiece = "LowerArmFront";
    armor.armorTier = 13;

    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
    Instance.FixColliders();
    }
    }
    );

            ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Rod"),
    NameToOrderByOverride = "armor",
    NameOverride = "Chestplates",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/chestplate.png"),
    AfterSpawn = (Instance) =>
    {
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/chestplatemid.png");
    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
    armor.stabResistance = 1000f;
    armor.armorPiece = "MiddleBody";
    armor.armorTier = 3;
    armor.otherSprite = "Sprites/TMNT/chestplatelow.png";
    armor.otherName = "Chestplates";
    armor.otherPiece = "LowerBody";
    armor.otherTier = 3;
    armor.otherResist = 5f;
    armor.SpawnOtherParts();

    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
    Instance.FixColliders();
    }
    }
    );

            ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Rod"),
    NameToOrderByOverride = "armor",
    NameOverride = "Leg armor",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/leg1.png"),
    AfterSpawn = (Instance) =>
    {
     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/leg1.png");
     ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
     armor.stabResistance = 1000f;
     armor.armorPiece = "UpperLeg";
     armor.armorTier = 3;
     armor.otherSprite = "Sprites/TMNT/leg1.png";
     armor.otherName = "Leg armor";
     armor.otherPiece = "UpperLegFront";
     armor.otherTier = 3;
     armor.otherResist = 5f;
     armor.SpawnOtherParts();

     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
     Instance.FixColliders();
    }
    }
    );

                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Rod"),
    NameToOrderByOverride = "armor",
    NameOverride = "Leg armor 2",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/leg2.png"),
    AfterSpawn = (Instance) =>
    {
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/leg2.png");
    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
    armor.stabResistance = 1000f;
    armor.armorPiece = "LowerLeg";
    armor.armorTier = 3;
    armor.otherSprite = "Sprites/TMNT/leg2.png";
    armor.otherName = "Leg armor 2";
    armor.otherPiece = "LowerLegFront";
    armor.otherTier = 3;
    armor.otherResist = 5f;
    armor.SpawnOtherParts();

    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
    Instance.FixColliders();
    }
    }
    );

                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Rod"),
    NameOverride = "Chest",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/chest.png"),
    AfterSpawn = (Instance) =>

    {
    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/chestplateup", 1f);
    Instance.FixColliders();


    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/chestplateup.png", 1f);
    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

    armor.stabResistance = 40f;
    armor.armorPiece = "UpperBody";
    armor.armorTier = 13;

    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
    Instance.FixColliders();
    }
    }
    );

                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Rod"),
    NameOverride = "Helmet",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/helmet.png"),
    AfterSpawn = (Instance) =>

    {
    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/helmet", 1f);
    Instance.FixColliders();


    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/helmet.png", 1f);
    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

    armor.stabResistance = 40f;
    armor.armorPiece = "Head";
    armor.armorTier = 13;

    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
    Instance.FixColliders();
    }
    }
    );

                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Rod"),
    NameOverride = "Headphones",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/headphones.png"),
    AfterSpawn = (Instance) =>

    {
      Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/hp", 1f);
      Instance.FixColliders();


      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/hp.png", 1f);
      ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

      armor.stabResistance = 40f;
      armor.armorPiece = "Head";
      armor.armorTier = 13;

      Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
      Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
      Instance.FixColliders();
    }
    }
    );

                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Rod"),
    NameOverride = "Night Vision device",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/googles.png"),
    AfterSpawn = (Instance) =>

    {
    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/nv", 1f);
    Instance.FixColliders();


    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/nv.png", 1f);
    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

    armor.stabResistance = 40f;
    armor.armorPiece = "Head";
    armor.armorTier = 13;

    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
    Instance.FixColliders();
    }
    }
    );

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Baxter Stockman",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/stockman.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Stockman/stockman.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

                        ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "MrTul3cnhik",
        DescriptionOverride = "It's me!",
        CategoryOverride = ModAPI.FindCategory("Misc."),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/me.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("whatadogdoin.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Android"),
    NameOverride = "TCRI Worker",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/worker.png"),
    AfterSpawn = (Instance) =>
    {
      var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Worker/worker.png");
      var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshdroid.png");
      var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/bonedroid.png");

      var person = Instance.GetComponent<PersonBehaviour>();

      person.SetBodyTextures(skin, flesh, bone, 1);

      person.SetBruiseColor(67, 65, 65);
      person.SetSecondBruiseColor(154, 0, 7);
      person.SetThirdBruiseColor(64, 64, 64);
      person.SetRottenColour(202, 199, 104);
      person.SetBloodColour(108, 0, 4);


    }
    }
    );


            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Purple Dragon",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/dragon.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Purple Dragon/pd.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "Hun",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("TMNT"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/hun.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Hun/Hun.png");
                        var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshLayer.png");
                        var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/boneLayer.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
                        {
                            var uparm = new GameObject("uparm");
                            uparm.transform.SetParent(Instance.transform.Find("BackArm").Find("UpperArm"));
                            uparm.transform.localPosition = new Vector3(0, 0f);
                            uparm.transform.localScale = new Vector3(1f, 1f);
                            var uparmSprite = uparm.AddComponent<SpriteRenderer>();
                            uparmSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Hun/ua.png");
                            uparm.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";

                            var lowarm = new GameObject("lowarm");
                            lowarm.transform.SetParent(Instance.transform.Find("BackArm").Find("LowerArm"));
                            lowarm.transform.localPosition = new Vector3(0, 0f);
                            lowarm.transform.localScale = new Vector3(1f, 1f);
                            var lowarmSprite = lowarm.AddComponent<SpriteRenderer>();
                            lowarmSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Hun/la.png");
                            lowarm.GetComponent<SpriteRenderer>().sortingLayerName = "Middle";
                        }

                        var head = Instance.transform.GetChild(0);
                        var childObject = new GameObject("hunhair");
                        childObject.transform.SetParent(head);
                        childObject.transform.localPosition = new Vector3(0, 0f);
                        childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Hun/hunhair.png");
                        childSprite.sortingLayerName = "Top";
                    }
                }
            );

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Android"),
        NameOverride = "Water Mystic",
        NameToOrderByOverride = "!",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/water.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Water/water.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/boneLayer.png");
            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(0);
            var childObject = new GameObject("waterhair");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Water/waterhat.png");
            childSprite.sortingLayerName = "Top";
        }
    }
);
                        ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Android"),
        NameOverride = "Shredder",
        NameToOrderByOverride = "!",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/helmet.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Shredder/shredder.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/boneLayer.png");
            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(0);
            var childObject = new GameObject("helmet");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/helmet.png");
            childSprite.sortingLayerName = "Top";
        }
    }
);
                       ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Android"),
        NameOverride = "Wind Mystic",
        NameToOrderByOverride = "!",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/wind.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Wind/wind.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/boneLayer.png");
            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(0);
            var childObject = new GameObject("windhair");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Wind/windhat.png");
            childSprite.sortingLayerName = "Top";
        }
    }
);
                       ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Android"),
        NameOverride = "Metal Mystic",
        NameToOrderByOverride = "!",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/metal.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Metal/metal.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/boneLayer.png");
            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(0);
            var childObject = new GameObject("metalhair");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Metal/metalhat.png");
            childSprite.sortingLayerName = "Top";
        }
    }
);                      ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Android"),
        NameOverride = "Fire Mystic",
        NameToOrderByOverride = "!",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/fire.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Fire/fire.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/boneLayer.png");
            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(0);
            var childObject = new GameObject("firehair");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Fire/firehat.png");
            childSprite.sortingLayerName = "Top";
        }
    }
);
                       ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Android"),
        NameOverride = "Earth Mystic",
        NameToOrderByOverride = "!",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/earth.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Earth/earth.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/boneLayer.png");
            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(0);
            var childObject = new GameObject("earthhair");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Earth/earthhat.png");
            childSprite.sortingLayerName = "Top";
        }
    }
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Casey Jones",
        NameToOrderByOverride = "!",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/casey.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Casey/casey.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("caseyhair");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Casey/caseyhair.png");
            childSprite.sortingLayerName = "Top";
        }
    }
);
                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Human"),
    NameOverride = "Dragon Face",
    NameToOrderByOverride = "!",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/face.png"),
    AfterSpawn = (Instance) =>
    {
    var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Dragon Face/df.png");
    var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
    var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
    Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

    var head = Instance.transform.GetChild(5);
    var childObject = new GameObject("dfhair");
    childObject.transform.SetParent(head);
    childObject.transform.localPosition = new Vector3(0, 0f);
    childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
    childObject.transform.localScale = new Vector3(1f, 1f);
    var childSprite = childObject.AddComponent<SpriteRenderer>();
    childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Dragon Face/dfhair.png");
    childSprite.sortingLayerName = "Top";
    }
    }
    );

                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Human"),
    NameOverride = "Guardian",
    NameToOrderByOverride = "!",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/guardian.png"),
    AfterSpawn = (Instance) =>
    {
    var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Guardian/guardian.png");
    var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
    var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
    Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

    var head = Instance.transform.GetChild(5);
    var childObject = new GameObject("guardianhair");
    childObject.transform.SetParent(head);
    childObject.transform.localPosition = new Vector3(0, 0f);
    childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
    childObject.transform.localScale = new Vector3(1f, 1f);
    var childSprite = childObject.AddComponent<SpriteRenderer>();
    childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Guardian/guardianhair.png");
    childSprite.sortingLayerName = "Top";
    }
    }
    );

            ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Human"),
    NameOverride = "Splinter",
    NameToOrderByOverride = "!",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/splinter.png"),
    AfterSpawn = (Instance) =>
    {
     var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Splinter/splinter.png");
     var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
     var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
     Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

     var lower = Instance.transform.Find("Body").Find("LowerBody");
     var head = Instance.transform.GetChild(5);
     var childObject = new GameObject("splint");
     childObject.transform.SetParent(head);
     childObject.transform.localPosition = new Vector3(0, 0f);
     childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
     childObject.transform.localScale = new Vector3(1f, 1f);
     var childSprite = childObject.AddComponent<SpriteRenderer>();
     childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Splinter/splint.png");
     childSprite.sortingLayerName = "Top";

     GameObject wings = new GameObject();
     wings.transform.parent = lower;
     wings.transform.localPosition = new Vector4(0f, 0f);
     wings.transform.localScale = new Vector4(1f, 1f);

     var wingsprite = wings.AddComponent<SpriteRenderer>();

     wingsprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Splinter/tail.png");
     wingsprite.material = ModAPI.FindMaterial("Sprites-Default");
     wingsprite.sortingLayerName = "Mid";
    }
    }
    );
                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Human"),
    NameOverride = "Foot Elite",
    NameToOrderByOverride = "!",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/elite.png"),
    AfterSpawn = (Instance) =>
    {
    var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/Elite/elite.png");
    var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
    var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
    Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

    var upper = Instance.transform.Find("Body").Find("UpperBody");
    var head = Instance.transform.GetChild(5);
    var childObject = new GameObject("splint");
    childObject.transform.SetParent(head);
    childObject.transform.localPosition = new Vector3(0, 0f);
    childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
    childObject.transform.localScale = new Vector3(1f, 1f);
    var childSprite = childObject.AddComponent<SpriteRenderer>();
    childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Elite/elitehat.png");
    childSprite.sortingLayerName = "Top";

    GameObject wings = new GameObject();
    wings.transform.parent = upper;
    wings.transform.localPosition = new Vector4(0f, 0f);
    wings.transform.localScale = new Vector4(1f, 1f);

    var wingsprite = wings.AddComponent<SpriteRenderer>();

    wingsprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/Elite/cape.png");
    wingsprite.material = ModAPI.FindMaterial("Sprites-Default");
    wingsprite.sortingLayerName = "Top";
    }
    }
    );

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "April O'Neil",
        NameToOrderByOverride = "!",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/april.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/TMNT/Characters/April/april.png");
            var flesh = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanFlesh.png");
            var bone = ModAPI.LoadTexture("Sprites/TMNT/Characters/HumanSkeleton.png");
            Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

            var head = Instance.transform.GetChild(5);
            var childObject = new GameObject("aprilhair");
            childObject.transform.SetParent(head);
            childObject.transform.localPosition = new Vector3(0, 0f);
            childObject.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            childObject.transform.localScale = new Vector3(1f, 1f);
            var childSprite = childObject.AddComponent<SpriteRenderer>();
            childSprite.sprite = ModAPI.LoadSprite("Sprites/TMNT/Characters/April/aprilhair.png");
            childSprite.sortingLayerName = "Top";

        }
    }
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "Casey Jones mask",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("TMNT"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/mask.png"),
        AfterSpawn = (Instance) =>

        {
            Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/mask", 1f);
            Instance.FixColliders();


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/mask.png", 1f);
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 40f;
            armor.armorPiece = "Head";
            armor.armorTier = 13;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
            Instance.FixColliders();
        }
    }
);
                ModAPI.Register(
    new Modification()
    {
    OriginalItem = ModAPI.FindSpawnable("Rod"),
    NameOverride = "Motorcycle Helmet",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("TMNT"),
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/TMNT/moto.png"),
    AfterSpawn = (Instance) =>

    {
    Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/mask", 1f);
    Instance.FixColliders();


    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/TMNT/mh.png", 1f);
    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

    armor.stabResistance = 40f;
    armor.armorPiece = "Head";
    armor.armorTier = 13;

    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
    Instance.FixColliders();
    }
    }
    );
        }

    }
}